#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-5mVr7viKMm6BL2UZxrVwTb-dns-internal
key:                  dns-4.0.1-5mVr7viKMm6BL2UZxrVwTb-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  bbc608c2741aebd15c85580971d99470
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-8.10.5/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.5/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/dns-4.0.1
hs-libraries:         HSdns-4.0.1-5mVr7viKMm6BL2UZxrVwTb-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-HtWYxLW2ntnKBaQHYE7IJT
    attoparsec-0.14.1-qO4BENHL0SHN8QdgrNcG6
    auto-update-0.1.6-9chjU9zRGep1CWyZGfzAWW base-4.14.2.0
    base16-bytestring-1.0.1.0-1hJhTC4ftcxEBVwj2vhRFK
    base64-bytestring-1.2.0.1-6PvrigrzgN5CFxMJsxx0QP
    bytestring-0.10.12.0 containers-0.6.4.1
    cryptonite-0.29-3JSUkOlGQg3XBOKlyqMAW
    hourglass-0.2.12-B2Xn0jmLaRq2ALpH6VHzXn
    iproute-1.7.11-A8GTzRG96WvIj6QvmzRio3 mtl-2.2.2
    network-3.1.2.2-25lMYs5jWh9BSaCkMt8wPK
    psqueues-0.2.7.2-4sMPebsLr16UHPXs4Gh9s

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-DKlGQBuD7vaIrBoCnbSXQj
key:                  dns-4.0.1-DKlGQBuD7vaIrBoCnbSXQj
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  f59e5a5be15e2c80cabd98cc652b0fa2
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-8.10.5/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.5/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/dns-4.0.1
hs-libraries:         HSdns-4.0.1-DKlGQBuD7vaIrBoCnbSXQj
depends:
    array-0.5.4.0 async-2.2.3-HtWYxLW2ntnKBaQHYE7IJT
    attoparsec-0.14.1-qO4BENHL0SHN8QdgrNcG6
    auto-update-0.1.6-9chjU9zRGep1CWyZGfzAWW base-4.14.2.0
    base16-bytestring-1.0.1.0-1hJhTC4ftcxEBVwj2vhRFK
    base64-bytestring-1.2.0.1-6PvrigrzgN5CFxMJsxx0QP
    bytestring-0.10.12.0 containers-0.6.4.1
    cryptonite-0.29-3JSUkOlGQg3XBOKlyqMAW
    dns-4.0.1-5mVr7viKMm6BL2UZxrVwTb-dns-internal
    hourglass-0.2.12-B2Xn0jmLaRq2ALpH6VHzXn
    iproute-1.7.11-A8GTzRG96WvIj6QvmzRio3 mtl-2.2.2
    network-3.1.2.2-25lMYs5jWh9BSaCkMt8wPK
    psqueues-0.2.7.2-4sMPebsLr16UHPXs4Gh9s

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

